#include <CalendarTab.h>
#include <hwTableLayout.h>
#include <hwScrollWindow.h>
#include <hwTable.h>
#include <hwButtonbar.h>
#include <hwLabel.h>
#include <hwText.h>
#include <hwTree.h>
#include <ComposeDialog.h>
#include <hwWindow.h>
#include <hwCheckbox.h>
#include <hwButton.h>
#include <sstream>

class calendarButtonbar : public hwButtonbar
{
public:
    calendarButtonbar()
    {
    }
    void onClick()
    {
    }
};

class prevButton : public hwButton
{
public:
    prevButton(CalendarTab* tab) : hwButton("<"), myCalendarTab(tab)
    {
    }
    void onClick()
    {
        myCalendarTab->gotoPrevMonth();
    }
private:
    CalendarTab* myCalendarTab;
};

class nextButton : public hwButton
{
public:
    nextButton(CalendarTab* tab) : hwButton(">"), myCalendarTab(tab)
    {
    }
    void onClick()
    {
        myCalendarTab->gotoNextMonth();
    }
private:
    CalendarTab* myCalendarTab;
};

CalendarTab::CalendarTab(hwWindow* window)
        : myWindow(window),
        myMonth(0)
{
    calendarButtonbar* buttonbar1 = new calendarButtonbar();
    buttonbar1->add("New");
    add(buttonbar1, 0, 0);
    
    hwTableLayout* tablelayout1 = new hwTableLayout();
    prevButton* prev = new prevButton(this);
    nextButton* next = new nextButton(this);
    myMonthLabel = new hwLabel("");
    tablelayout1->add(prev, 0, 0);
    tablelayout1->add(myMonthLabel, 0, 1);
    tablelayout1->add(next, 0, 2);
    add(tablelayout1, 1, 0);
    
    hwScrollWindow* scrollwindow1 = new hwScrollWindow();
    scrollwindow1->setName("calendarScrollWindow");
    add(scrollwindow1, 2, 0);
    
    myCalendarTable = new hwTable();
    myCalendarTable->setName("calendarTable");
    myCalendarTable->setColumnLabel(0, new hwLabel("Sun"));
    myCalendarTable->setColumnLabel(1, new hwLabel("Mon"));
    myCalendarTable->setColumnLabel(2, new hwLabel("Tue"));
    myCalendarTable->setColumnLabel(3, new hwLabel("Wed"));
    myCalendarTable->setColumnLabel(4, new hwLabel("Thu"));
    myCalendarTable->setColumnLabel(5, new hwLabel("Fri"));
    myCalendarTable->setColumnLabel(6, new hwLabel("Sat"));
    scrollwindow1->add(myCalendarTable);
    
    loadCalendarTable();
}

void CalendarTab::loadCalendarTable()
{
    int row = 0;
    int col = 1;
    int day = 0;
    int days[] = {31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31};
    const char* name[] = {"Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"};
    myMonthLabel->setTitle(name[myMonth]);
    myCalendarTable->clear();
    while (day < days[myMonth])
    {
        while (col < 7)
        {
            stringstream s;
            s << (day + 1);
            myCalendarTable->setCellValue(row, col, new hwLabel(s.str()));
            col++;
            day++;
        }
        col = 0;
        row++;
    }
}

void CalendarTab::gotoPrevMonth()
{
    myMonth--;
    if (myMonth < 0)
        myMonth = 11;
    loadCalendarTable();
}

void CalendarTab::gotoNextMonth()
{
    myMonth++;
    if (myMonth > 11)
        myMonth = 0;
    loadCalendarTable();
}

