#ifndef MAILTAB_H
#define MAILTAB_H

#include <hwSplitPane.h>
#include <map>
#include <vector>

using namespace std;

class hwTree;
class hwLabel;
class ComposeDialog;
class hwWindow;
class hwTable;
class hwText;

class Message
{
public:
    
    Message(const string& _subject,
        const string& _from,
        const string& _size,
        const string& _received,
        const string& _message = "")
    : subject(_subject),
    from(_from),
    size(_size),
    received(_received),
    message(_message) {}
    
    string subject;
    string from;
    string size;
    string received;
    string message;
};

class MailTab : public hwSplitPane
{
public:

    MailTab(hwWindow* window);

    void updateTable(const string& folder);
    
    void createNewMessage();
    
    void showMessage();
    
private:

    void loadFolders();
    void loadMessages();

    hwTree* myFolderTree;
    ComposeDialog* myComposeDialog;
    hwWindow* myWindow;
    hwTable* myMessageTable;
    map<string,vector<Message> > myFolderMap;
    hwText* myMessageText;
    string myCurrentFolder;
};

#endif

