#include <MainWindow.h>
#include <hwAll.h>
#include <MailTab.h>
#include <ContactTab.h>
#include <CalendarTab.h>
#include <TaskTab.h>
#include <iostream>
#include <AboutDialog.h>

class NewMessageMenuItem : public hwMenuItem
{
public:

    NewMessageMenuItem(const string& title, MailTab* tab) : 
        hwMenuItem(title), myMailTab(tab) {}
    
    void onClick()
    {
        myMailTab->createNewMessage();
    }
private:
    MailTab* myMailTab;
};


class AboutMenuItem : public hwMenuItem
{
public:

    AboutMenuItem(const string& title, AboutDialog* w) : 
        hwMenuItem(title), myAboutDialog(w) {}
    
    void onClick()
    {
        myAboutDialog->show();
    }
private:
    AboutDialog* myAboutDialog;
};


MainWindow::MainWindow()
{
    setTitle("libhw Demo");
    setName("mainWindow");
    
    myAboutDialog = new AboutDialog(this);
    
    int row = 0;
    
    myMailTab = new MailTab(this);
    myContactTab = new ContactTab(this);
    myCalendarTab = new CalendarTab(this);
    myTaskTab = new TaskTab(this);
    
    hwTableLayout* tablelayout1 = new hwTableLayout();
    tablelayout1->setName("mainTableLayout");
    add(tablelayout1);
    
    hwMenubar* menubar1 = new hwMenubar();
    tablelayout1->add(menubar1, row++, 0);
    
    hwMenu* menu1 = new hwMenu("New");
    menubar1->add(menu1);
    hwMenuItem* menuitem1 = new NewMessageMenuItem("Message", myMailTab);
    menu1->add(menuitem1);
    hwMenuItem* menuitem2 = new hwMenuItem("Event");
    menu1->add(menuitem2);
    hwMenuItem* menuitem3 = new hwMenuItem("Contact");
    menu1->add(menuitem3);
    hwMenuItem* menuitem4 = new hwMenuItem("Task");
    menu1->add(menuitem4);
    
    hwMenu* menu2 = new hwMenu("Help");
    menubar1->add(menu2);
    hwMenuItem* menuitem5 = new AboutMenuItem("About", myAboutDialog);
    menu2->add(menuitem5);
    
    hwTabLayout* tablayout1 = new hwTabLayout();
    tablayout1->setName("mainTabLayout");
    tablayout1->add("Mail", myMailTab);
    tablayout1->add("Contacts", myContactTab);
    tablayout1->add("Calendar", myCalendarTab);
    tablayout1->add("Tasks", myTaskTab);
    tablelayout1->add(tablayout1, row++, 0);
    
    hwStatusbar* statusbar1 = new hwStatusbar();
    statusbar1->setName("mainStatusbar");
    statusbar1->add(new hwLabel("libhw Demo"));
    statusbar1->add(new hwLabel("Version: 0.1"));
    tablelayout1->add(statusbar1, row++, 0);
}

