/*
 * Copyright (c) 2009 Adam Siegel.  All rights reserved.
 *
 * This file is part of libhw.
 *
 * libhw is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with libhw.  If not, see <http: *www.gnu.org/licenses/>.
 *
 */

#ifndef HWLABEL_H
#define HWLABEL_H

#include <hwWidget.h>

class hwLabel : public hwWidget
{
public:

    hwLabel(const string& title);

    ~hwLabel();

    string draw();
    
    string toString()
    {
        return myTitle;
    }

    void setTitle(const string& title)
    {
        myTitle = title;
    }

private:

    hwLabel();
    hwLabel(const hwLabel& source);
    hwLabel& operator=(const hwLabel& source);

    string myTitle;
};

#endif

