/*
 * Copyright (c) 2009 Adam Siegel.  All rights reserved.
 *
 * This file is part of libhw.
 *
 * libhw is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with libhw.  If not, see <http: *www.gnu.org/licenses/>.
 *
 */

#ifndef HWLIST_H
#define HWLIST_H

#include <hwWidget.h>
#include <vector>
#include <string>

using namespace std;

class hwList : public hwWidget
{
public:

    hwList();

    ~hwList();

    string draw();

    void add(const string& item)
    {
        myItems.push_back(item);
    }

private:

    hwList(const hwList& source);
    hwList& operator=(const hwList& source);

    vector<string> myItems;
};

#endif

