/*
 * Copyright (c) 2009 Adam Siegel.  All rights reserved.
 *
 * This file is part of libhw.
 *
 * libhw is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with libhw.  If not, see <http: *www.gnu.org/licenses/>.
 *
 */

#ifndef HWSERVER_H
#define HWSERVER_H

#include <string>
#include <vector>
#include <map>
#include <pthread.h>

using namespace std;

class hwApp;
class MD5;
class wsRequest;

class hwServer
{
public:

    static hwServer* getInstance();

    void run(unsigned int port);

    void process(wsRequest* request);

    void setAppFactory(hwApp* app)
    {
        myAppFactory = app;
    }
    
    hwApp* getApp(pthread_t thread);

    void threadDone(pthread_t thread);

private:

    hwServer();

    static void* process(void* data);
    
    string createKey(const string& s);

    hwApp* myAppFactory;
    map<string,hwApp*> myAppMap;
    map<unsigned long,hwApp*> myThreadMap;
    static hwServer* myInstance;
    pthread_mutex_t myMutex;
    MD5* myMD5;
};

#endif

