/*
 * Copyright (c) 2009 Adam Siegel.  All rights reserved.
 *
 * This file is part of libhw.
 *
 * libhw is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with libhw.  If not, see <http: *www.gnu.org/licenses/>.
 *
 */

#ifndef HWTABLE_H
#define HWTABLE_H

#include <hwWidget.h>
#include <vector>

class hwLabel;

class hwTable : public hwWidget
{
public:

    hwTable();

    ~hwTable();

    string draw();

    void setCellValue(unsigned int row, unsigned int col, hwWidget* w);

    void setColumnLabel(unsigned int col, hwLabel* label);

    hwWidget* getCellValue(unsigned int row, unsigned int col);

    void clear();
    
    int getNumRows()
    {
        return myCells.size();
    }

private:

    hwTable(const hwTable& source);
    hwTable& operator=(const hwTable& source);

    vector<hwLabel*> myCols;
    vector<vector<hwWidget*> > myCells;
};

#endif

