/*
 * Copyright (c) 2009 Adam Siegel.  All rights reserved.
 *
 * This file is part of libhw.
 *
 * libhw is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with libhw.  If not, see <http: *www.gnu.org/licenses/>.
 *
 */

#ifndef HWTABLELAYOUT_H
#define HWTABLELAYOUT_H

#include <hwWidget.h>
#include <vector>

class hwTableLayout : public hwWidget
{
public:

    hwTableLayout();

    ~hwTableLayout();

    void add(hwWidget* widget, unsigned int row, unsigned int col);

    string draw();

private:

    typedef struct
    {
        unsigned int row;
        unsigned int col;
        hwWidget* widget;
    }
    child_t;

    hwTableLayout(const hwTableLayout& source);
    hwTableLayout& operator=(const hwTableLayout& source);

    hwWidget* getChild(unsigned int row, unsigned int col);

    vector<child_t*> myChildList;
    unsigned int myNumCols;
    unsigned int myNumRows;
};

#endif

