/*
 * Copyright (c) 2009 Adam Siegel.  All rights reserved.
 *
 * This file is part of libhw.
 *
 * libhw is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with libhw.  If not, see <http: *www.gnu.org/licenses/>.
 *
 */

#ifndef HWTREE_H
#define HWTREE_H

#include <hwWidget.h>
#include <map>
#include <vector>

using namespace std;

class hwTree : public hwWidget
{
public:

    hwTree();

    string draw();

    void addNode(hwWidget* parent, hwWidget* child);

    hwWidget* getNode(int node)
    {
        return myNodeLookup[node];
    }
    
private:

    string drawNode(hwWidget* node, int& count, int level);

    map<hwWidget*,vector<hwWidget*> > myNodes;
    map<int,hwWidget*> myNodeLookup;
    hwWidget* myRoot;
};

#endif

