/*
 * Copyright (c) 2009 Adam Siegel.  All rights reserved.
 *
 * This file is part of libhw.
 *
 * libhw is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with libhw.  If not, see <http: *www.gnu.org/licenses/>.
 *
 */

#ifndef HWWINDOW_H
#define HWWINDOW_H

#include <hwWidget.h>

class hwWindow : public hwWidget
{
public:

    hwWindow();

    ~hwWindow();

    string draw();

    void add(hwWidget* child)
    {
        myChild = child;
    }

    const string& getTitle() const
    {
        return myTitle;
    }

    void setTitle(const string& title)
    {
        myTitle = title;
    }

protected:

    hwWindow(const string& classname);

private:

    hwWindow(const hwWindow& source);
    hwWindow& operator=(const hwWindow& source);

    string myTitle;
    hwWidget* myChild;
};

#endif

