/*
 * Copyright (c) 2009 Adam Siegel.  All rights reserved.
 *
 * This file is part of libhw.
 *
 * libhw is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with libhw.  If not, see <http: *www.gnu.org/licenses/>.
 *
 */

#ifndef WS_SERVER_H
#define WS_SERVER_H

#include <string>
#include <map>

#ifdef WIN32
#include <windows.h>
#include <winsock2.h>
#else
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#endif

using namespace std;

class wsRequest;

class wsServer
{
public:

    typedef void (*handler)();

    wsServer(unsigned int port);
    
    void init();

    wsRequest* getRequest();

    void addHandler(const string& url, handler h)
    {
        myHandlers[url] = h;
    }

private:

    unsigned int myPort;
    int mySocket;
    sockaddr_in myAddr;
    map<string,handler> myHandlers;
};

#endif

