/*
 * Copyright (c) 2009 Adam Siegel.  All rights reserved.
 *
 * This file is part of libhw.
 *
 * libhw is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with libhw.  If not, see <http: *www.gnu.org/licenses/>.
 *
 */

#include <stdio.h>
#include <string>
#include <iostream>
#include <sstream>
#include <stdlib.h>

using namespace std;

int main(int argc, char** argv)
{
    FILE* fp = NULL;
    string outfile = argv[1];
    string data1 = "";
    string data2 = "";
    
    for (unsigned int j = 2; j < argc; j++)
    {
        string infile = argv[j];
        string varname = infile;
        
        for (unsigned int i = 0; i < infile.size(); i++)
        {
            if ((varname[i] == '/') || (varname[i] == '\\') || (varname[i] == '.'))
            {
                varname[i] = '_';
            }
        }

        if ((fp = fopen(infile.c_str(), "rb")))
        {
            fseek(fp, 0, SEEK_END);
            int size = ftell(fp);
            fseek(fp, 0, SEEK_SET);
            char* buffer = (char*)malloc(size + 1);
            fread(buffer, 1, size, fp);
            fclose(fp);
            
            varname = "_" + varname + "_data";
            
            data1 += "static unsigned char " + varname + "[] = {";
            
            char c;
            
            for (unsigned int i = 0; i < size; i++)
            {
                char hex[6];
                snprintf(hex, 6, "0x%02X, ", (unsigned char)buffer[i]);
                data1 += hex;
            }

            data1 += "0x0};\n";
            
            free(buffer);
            
            stringstream s1;
            s1 << size;
            
            data2 += "myDataMap[\"/" + infile + "\"] = (char*)" + varname + ";\n";
            data2 += "mySizeMap[\"/" + infile + "\"] = " + s1.str() + ";\n";
        }
        else
        {
            cerr << "Unable to open " << infile << endl;
        }
    }
    
    if ((fp = fopen(string(outfile + ".h").c_str(), "w")))
    {
        fprintf(fp, "%s", data1.c_str());
        fclose(fp);
    }    
    else
    {
        cerr << "Unable to open " << outfile << ".h" << endl;
    }
    
    if ((fp = fopen(string(outfile + ".cc").c_str(), "w")))
    {
        fprintf(fp, "%s", data2.c_str());
        fclose(fp);
    }    
    else
    {
        cerr << "Unable to open " << outfile << ".cc" << endl;
    }
}

