/*
 * Copyright (c) 2009 Adam Siegel.  All rights reserved.
 *
 * This file is part of libhw.
 *
 * libhw is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with libhw.  If not, see <http: *www.gnu.org/licenses/>.
 *
 */

#include <hwButtonbar.h>
#include <hwApp.h>
#include <sstream>
#include <stdlib.h>

hwButtonbar::hwButtonbar()
        : hwWidget("hwButtonbar")
{
}

hwButtonbar::~hwButtonbar()
{
}

string hwButtonbar::getStringValue()
{
    int index = atoi(myValue.c_str());
    return myButtons[index];
}

string hwButtonbar::draw()
{
    if (!myVisibleFlag)
    {
        return "";
    }
    string html;
    html = "<input type=\"hidden\" id=\"" + myName + "\" name=\"" + myName + "\">";
    html += "<table class=\"hwButtonbar\"><tr>";
    for (unsigned int i = 0; i < myButtons.size(); i++)
    {
        stringstream s;
        s << i;
        html += "<td align=\"center\"><input type=\"button\" value=\"" + myButtons[i] +
                "\" onclick=\"document.forms[0]._event.value='click';document.forms[0]._widget.value='" +
                myName + "';document.forms[0]." + myName + ".value='" + s.str() +
                "';document.forms[0].submit()\"></td>";
    }
    html += "</tr></table>";
    return html;
}

void hwButtonbar::add(const string& button)
{
    myButtons.push_back(button);
}

