/*
 * Copyright (c) 2009 Adam Siegel.  All rights reserved.
 *
 * This file is part of libhw.
 *
 * libhw is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with libhw.  If not, see <http: *www.gnu.org/licenses/>.
 *
 */

#include <hwCheckbox.h>

hwCheckbox::hwCheckbox(
    const string& label
)
        : hwWidget("hwCheckbox"), myLabel(label)
{
    myValue = "off";
}

hwCheckbox::~hwCheckbox()
{
}

string hwCheckbox::draw()
{
    if (!myVisibleFlag)
    {
        return "";
    }
    string html;
    html += "<input type=\"hidden\"  name=\"" + myName + "\" value=\"" + myValue + "\">";
    html += "<input class=\"hwCheckbox\" type=\"checkbox\" onclick=\"";
    html += "this.form._widget.value='" + myName + "';";
    html += "this.form._event.value='click';";
    html += "this.form." + myName + ".value=";
    html += (myValue == "on") ? "'off'" : "'on'";
    html += ";this.form.submit()\"";
    html += (myValue == "on") ? " checked" : "";
    html += "><span class=\"hwCheckbox\">" + myLabel + "</span>";
    return html;
}

