/*
 * Copyright (c) 2009 Adam Siegel.  All rights reserved.
 *
 * This file is part of libhw.
 *
 * libhw is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with libhw.  If not, see <http: *www.gnu.org/licenses/>.
 *
 */

#include <hwMenu.h>
#include <hwMenuItem.h>

hwMenu::hwMenu(const string& title)
        : hwWidget("hwMenu"), myTitle(title)
{
}

hwMenu::~hwMenu()
{
}

string hwMenu::draw()
{
    if (!myVisibleFlag)
    {
        return "";
    }
    
    string html;
    
    html += "<div id=\"" + myName + "\" class=\"menu\" ";
    html += "onmouseover=\"menuMouseover(event)\">";
    
    for (unsigned int i = 0; i < myItems.size(); i++)
    {
        if (myItems[i])
        {
            html += myItems[i]->draw();
        }
    }
    
    html += "</div>";
    
    return html;
}

void hwMenu::add(hwMenuItem* item)
{
    myItems.push_back(item);
}

