/*
 * Copyright (c) 2009 Adam Siegel.  All rights reserved.
 *
 * This file is part of libhw.
 *
 * libhw is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with libhw.  If not, see <http: *www.gnu.org/licenses/>.
 *
 */

#include <hwMenuItem.h>

hwMenuItem::hwMenuItem(const string& title)
        : hwWidget("hwMenuItem"), myTitle(title)
{
}

hwMenuItem::~hwMenuItem()
{
}

string hwMenuItem::draw()
{
    if (!myVisibleFlag)
    {
        return "";
    }
    
    string html;
    
    if (myTitle == "-")
    {
        html = "<div class=\"menuItemSep\"></div>";
    }
    else
    {
        html = "<a class=\"menuItem\" href=\"?_widget=" + myName + "&_event=click\">";
        html += myTitle;
        html += "</a>";
    }
    
    return html;
}

