/*
 * Copyright (c) 2009 Adam Siegel.  All rights reserved.
 *
 * This file is part of libhw.
 *
 * libhw is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with libhw.  If not, see <http: *www.gnu.org/licenses/>.
 *
 */

#include <hwMenubar.h>
#include <hwMenu.h>

hwMenubar::hwMenubar()
        : hwWidget("hwMenubar")
{
}

hwMenubar::~hwMenubar()
{
}

string hwMenubar::draw()
{
    if (!myVisibleFlag)
    {
        return "";
    }
    
    string html;
    
    html += "<div class=\"menuBar\">";
    
    for (unsigned int i = 0; i < myMenus.size(); i++)
    {
        html += "<a class=\"menuButton\" href=\"\" ";
        html += "onclick=\"return buttonClick(event, '";
        html += myMenus[i]->getName() + "');\"";
        html += "onmouseover=\"buttonMouseover(event, '";
        html += myMenus[i]->getName() + "');\">";
        html += myMenus[i]->getTitle() + "</a>";
    }

    html += "</div>";
    
    for (unsigned int i = 0; i < myMenus.size(); i++)
    {
        html += myMenus[i]->draw();
    }
    
    return html;
}

void hwMenubar::add(hwMenu* menu)
{
    myMenus.push_back(menu);
}

