/*
 * Copyright (c) 2009 Adam Siegel.  All rights reserved.
 *
 * This file is part of libhw.
 *
 * libhw is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with libhw.  If not, see <http: *www.gnu.org/licenses/>.
 *
 */

#include <hwResourceMgr.h>
#include <iostream>
#include <wsRequest.h>
#include <string.h>
#include <stdlib.h>
#include <time.h>

#include "../resources/libhw.h"
#include "../resources/brainjar.h"
#include "../resources/dtree.h"

hwResourceMgr* hwResourceMgr::myInstance = NULL;

hwResourceMgr* hwResourceMgr::getInstance()
{
    if (!myInstance)
    {
        myInstance = new hwResourceMgr();
    }
    
    return myInstance;
}

hwResourceMgr::hwResourceMgr()
{
#include "../resources/libhw.cc"
#include "../resources/brainjar.cc"
#include "../resources/dtree.cc"

    myStartTime = time(NULL);
}

void hwResourceMgr::process(wsRequest* request)
{
    string path = request->getPath();
    
    cerr << "Sending resource " << path << endl;

    if (myDataMap.find(path) != myDataMap.end())
    {
        string ext = path.substr(0, path.find("."));
        int size = mySizeMap[path];
        char* data = (char*)myDataMap[path];
        char* buffer = (char*)malloc(size);
        for (unsigned int i = 0; i < size; i++)
        {
            buffer[i] = data[i];
        }
        request->output(buffer, ext, size, myStartTime);
        free(buffer);
    }
    else
    {
        request->output("<html><body>" + path + " not found.</body></html>");
    }
}

