/*
 * Copyright (c) 2009 Adam Siegel.  All rights reserved.
 *
 * This file is part of libhw.
 *
 * libhw is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with libhw.  If not, see <http: *www.gnu.org/licenses/>.
 *
 */

#include <hwScrollWindow.h>
#include <hwApp.h>
#include <hwTheme.h>
#include <hwServer.h>

hwScrollWindow::hwScrollWindow()
        : hwWidget("hwScrollWindow")
{
}

hwScrollWindow::~hwScrollWindow()
{
}

string hwScrollWindow::draw()
{
    if (!myVisibleFlag)
    {
        return "";
    }
    string html;
    html += "<iframe class=\"hwScrollWindow\" id=\"" + myName +
            "\" name=\"" + myName + "\"" +
            + " src=\"?_frame=" + myName + "\"></iframe>";
    return html;
}

string hwScrollWindow::drawChild()
{
    string html;
    html += "<html>";
    html += "<head>";
    html += "<script type=\"text/javascript\" src=\"/dtree.js\"></script>";
    html += "<link rel=\"stylesheet\" type=\"text/css\" href=\"/default.css\">";
    html += "<link rel=\"stylesheet\" type=\"text/css\" href=\"/dtreestyle.css\">";
    html += "<style>";
    html += hwServer::getInstance()->getApp(pthread_self())->getTheme()->getStyle();
    html += "</style>";
    html += "</head>";
    html += "<body>";
    html += "<form method=\"post\" name=\"" + myName + "\">";
    html += "<input type=\"hidden\" name=\"_frame\" value=\"" + myName + "\">";
    html += "<input type=\"hidden\" name=\"_event\">";
    html += "<input type=\"hidden\" name=\"_widget\">";
    html += myChild ? myChild->draw() : "";
    html += "</form>";
    html += "</body>";
    html += "</html>";
    return html;
}

