/*
 * Copyright (c) 2009 Adam Siegel.  All rights reserved.
 *
 * This file is part of libhw.
 *
 * libhw is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with libhw.  If not, see <http: *www.gnu.org/licenses/>.
 *
 */

#include <hwSplitPane.h>
#include <hwServer.h>
#include <hwApp.h>
#include <pthread.h>
#include <hwTheme.h>

hwSplitPane::hwSplitPane()
        : hwWidget("hwSplitPane"), myOrientation(HORIZONTAL)
{
}

hwSplitPane::hwSplitPane(Orientation orientation)
        : hwWidget("hwSplitPane"), myOrientation(orientation)
{
}

hwSplitPane::~hwSplitPane()
{
}

string hwSplitPane::draw()
{
    if (!myVisibleFlag)
    {
        return "";
    }
    
    string html;
    
    html = "<table class=\"hwSplitPane\" id=\"" + myName + "\" ";
    html += "cellspacing=\"0\" cellpadding=\"0\">";
    html += "<tr>";
    
    if (myOrientation == VERTICAL)
    {
        html += "<td>" + myPanes[0]->draw() + "</td></tr>";
        html += "<tr class=\"hwSplitPaneSepV\"><td></td></tr>";
    }
    else
    {
        html += "<td>" + myPanes[0]->draw() + "</td>";
        html += "<td class=\"hwSplitPaneSepH\"></td>";
    }
    
    html += "<td class=\"hwSplitPaneRight\">" + myPanes[1]->draw() + "</td>";
    html += "</tr>";
    html += "</table>";
    
    return html;
}

