/*
 * Copyright (c) 2009 Adam Siegel.  All rights reserved.
 *
 * This file is part of libhw.
 *
 * libhw is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with libhw.  If not, see <http: *www.gnu.org/licenses/>.
 *
 */

#include <hwTabLayout.h>
#include <stdlib.h>
#include <sstream>
#include <hwApp.h>

hwTabLayout::hwTabLayout()
        : hwWidget("hwTabLayout")
{
    myValue = "0";
}

hwTabLayout::~hwTabLayout()
{
}

string hwTabLayout::draw()
{
    if (!myVisibleFlag)
    {
        return "";
    }
    string html;
    html = "<table class=\"hwTabLayout\" cellspacing=\"0\" cellpadding=\"0\" id=\"" +
           myName + "\" name=\"" + myName + "\">";
    html += "<tr class=\"hwTabLayoutTabRow\"><td>";
    html += "<table cellspacing=\"0\" cellpadding=\"0\">";
    html += "<tr class=\"hwTabLayoutTabRow\">";
    unsigned int index = atoi(myValue.c_str());
    for (unsigned int i = 0; i < myChildList.size(); i++)
    {
        stringstream s;
        s << i;
        html += (i == index) ?
                "<td id=\"selected\" class=\"tab\">" : "<td class=\"tab\">";
        html += "<a href=?_widget=" + myName + "&" + myName + "=" + s.str() +
                "&_event=click onclick=\"this.form.submit()\">" +
                myChildList[i]->label + "</a>";
        html += "</td>";
    }
    html += "</tr></table>";
    html += "</td></tr>";
    if (myChildList.size() > 0)
    {
        html += "<tr><td>";
        html += "<div class=\"hwTabLayoutContentRow\">";
        if (myChildList[index]->widget)
        {
            html += myChildList[index]->widget->draw();
        }
        html += "</div>";
        html += "</td></tr>";
    }
    html += "</table>";
    return html;
}

void hwTabLayout::add(const string& label, hwWidget* widget)
{
    child_t* child = new child_t;
    child->label = label;
    child->widget = widget;
    myChildList.push_back(child);
}

