/*
 * Copyright (c) 2009 Adam Siegel.  All rights reserved.
 *
 * This file is part of libhw.
 *
 * libhw is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with libhw.  If not, see <http: *www.gnu.org/licenses/>.
 *
 */

#include "hwTheme.h"
#include <fstream>

hwTheme::hwTheme(const string& filename)
        : myFilename(filename)
{
}

string hwTheme::getStyle()
{
    ifstream f;
    string style = "";
    f.open(myFilename.c_str());
    if (f)
    {
        string line;
        while (!f.eof())
        {
            getline(f, line);
            style += line;
        }
        f.close();
    }
    return style;
}

hwTheme::~hwTheme()
{
}

