/*
 * Copyright (c) 2009 Adam Siegel.  All rights reserved.
 *
 * This file is part of libhw.
 *
 * libhw is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with libhw.  If not, see <http: *www.gnu.org/licenses/>.
 *
 */

#include <hwWidget.h>
#include <sstream>
#include <hwApp.h>
#include <hwServer.h>

using namespace std;

unsigned long hwWidget::myWidgetCounter = 0;
pthread_mutex_t hwWidget::myMutex = PTHREAD_MUTEX_INITIALIZER;

hwWidget::hwWidget(const string& classname)
        : myClass(classname), myValue(""), myVisibleFlag(true)
{
    stringstream s;
    pthread_mutex_lock(&myMutex);
    s << myWidgetCounter++;
    pthread_mutex_unlock(&myMutex);
    myName = "widget" + s.str();
    hwServer::getInstance()->getApp(pthread_self())->registerWidget(this);
}

void hwWidget::setName(const string& name)
{
    myName = name;
    hwServer::getInstance()->getApp(pthread_self())->registerWidget(this);
}

hwWidget::~hwWidget()
{
}

