/*
 * Copyright (c) 2009 Adam Siegel.  All rights reserved.
 *
 * This file is part of libhw.
 *
 * libhw is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with libhw.  If not, see <http: *www.gnu.org/licenses/>.
 *
 */

#include <hwWindow.h>
#include <hwApp.h>
#include <hwTheme.h>
#include <sstream>
#include <hwServer.h>

hwWindow::hwWindow()
        : hwWidget("hwWindow")
{
}

hwWindow::hwWindow(const string& classname)
        : hwWidget(classname)
{
}

hwWindow::~hwWindow()
{
}

string hwWindow::draw()
{
    if (!myVisibleFlag)
    {
        return "";
    }
    string html;
    html += "<html>";
    html += "<head>";
    html += "<script type=\"text/javascript\" src=\"/dtree.js\"></script>";
    html += "<script type=\"text/javascript\" src=\"/brainjar.js\"></script>";
    html += "<link rel=\"stylesheet\" type=\"text/css\" href=\"/default.css\">";
    html += "<link rel=\"stylesheet\" type=\"text/css\" href=\"/dtreestyle.css\">";
    html += "<link rel=\"stylesheet\" type=\"text/css\" href=\"/brainjar.css\">";
    html += "<style>";
    html += hwServer::getInstance()->getApp(pthread_self())->getTheme()->getStyle();
    html += "</style>";
    html += "</head>";
    html += "<body>";
    html += "<form method=\"post\" name=\"" + myName + "\">";
    html += "<input type=\"hidden\" name=\"_event\">";
    html += "<input type=\"hidden\" name=\"_widget\">";
    html += "<table class=\"hwWindow\" id=\"" + myName + "\" name=\"" + myName + "\">";
    html += "<tr class=\"hwWindowTitlebar\"><td>" + myTitle + "</td></tr>";
    html += "<tr class=\"hwWindowContent\"><td>";
    html += myChild ? myChild->draw() : "";
    html += "</td></tr>";
    html += "</table>";
    html += "</form>";
    html += "</body>";
    html += "</html>";
    return html;
}

